Uses of Class
jakarta.faces.component.UIOutput
| Package | Description |
|---|---|
| com.sun.faces.ext.component | |
| jakarta.faces.component | |
| jakarta.faces.component.html |
Specialized user interface component classes for HTML.
|
| jakarta.faces.webapp |
-
Uses of UIOutput in com.sun.faces.ext.component
Subclasses of UIOutput in com.sun.faces.ext.component Modifier and Type Class Description classUIValidateWholeBean -
Uses of UIOutput in jakarta.faces.component
Subclasses of UIOutput in jakarta.faces.component Modifier and Type Class Description classUIInputUIInput is aUIComponentthat represents a component that both displays output to the user (likeUIOutputcomponents do) and processes request parameters on the subsequent request that need to be decoded.classUIOutcomeTargetThis component is paired with thejakarta.faces.Buttonorjakarta.faces.Linkrenderers and encapsulates properties relating to the rendering of outcomes directly to the response.classUISelectBooleanclassUISelectManyUISelectMany is aUIComponentthat represents the user's choice of a zero or more items from among a discrete set of available options.classUISelectOneUISelectOne is aUIComponentthat represents the user's choice of zero or one items from among a discrete set of available options.classUIViewParameterUIViewParameter represents a binding between a request parameter and a model property orUIViewRootproperty. -
Uses of UIOutput in jakarta.faces.component.html
Subclasses of UIOutput in jakarta.faces.component.html Modifier and Type Class Description classHtmlBodyNONEclassHtmlDoctypeNONEclassHtmlHeadNONEclassHtmlInputFileclassHtmlInputHiddenRepresents an HTMLinputelement of typehidden.classHtmlInputSecretRepresents an HTMLinputelement of typepassword.classHtmlInputTextRepresents an HTMLinputelement of typetext.classHtmlInputTextareaRepresents an HTMLtextareaelement.classHtmlOutcomeTargetButtonRepresents an HTMLinputelement of type "button" or image that may be used to link to a URL handled by the Faces Servlet resolved preemptively using the logical outcome defined by theoutcomeproperty.classHtmlOutcomeTargetLinkRepresents an HTMLa(hyperlink) element that may be used to link to a URL handled by the Faces Servlet resolved preemptively using the logical outcome defined by theoutcomeproperty.classHtmlOutputFormatRepresents a component that looks up a localized message in a resource bundle, optionally uses it as aMessageFormatpattern string and substitutes in parameter values from nested UIParameter components, and renders the result.classHtmlOutputLabelRepresents an HTMLlabelelement, used to define an accessible label for a corresponding input element.classHtmlOutputLinkRepresents an HTMLa(hyperlink) element that may be used to link to an arbitrary URL defined by thevalueproperty.classHtmlOutputTextRenders the component value as text, optionally wrapping in aspanelement if I18N attributes, CSS styles or style classes are specified.classHtmlSelectBooleanCheckboxRepresents an HTMLinputelement of typecheckbox.classHtmlSelectManyCheckboxRepresents a multiple-selection component that is rendered as a set of HTMLinputelements of typecheckbox.classHtmlSelectManyListboxRepresents a multiple-selection component that is rendered as an HTMLselectelement, showing either all available options or the specified number of options.classHtmlSelectManyMenuRepresents a multiple-selection component that is rendered as an HTMLselectelement, showing a single available option at a time.classHtmlSelectOneListboxRepresents a single-selection component that is rendered as an HTMLselectelement, showing either all available options or the specified number of options.classHtmlSelectOneMenuRepresents a single-selection component that is rendered as an HTMLselectelement, showing a single available option at a time.classHtmlSelectOneRadioRepresents a single-selection component that is rendered as a set of HTMLinputelements of typeradio. -
Uses of UIOutput in jakarta.faces.webapp
Methods in jakarta.faces.webapp that return UIOutput Modifier and Type Method Description protected UIOutputUIComponentClassicTagBase. createVerbatimComponent()Use theApplicationinstance to create a new component with the following characteristics.